%define name mplayerplug-in
%define ver 2.80
%define mozilla_plugin_dir /opt/MozillaFirefox/lib/plugins
%define mozilla_component_dir /opt/MozillaFirefox/lib/components
%define config_dir /etc
%define rel suse

Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
Group: Browser/Plugin
Summary: MPlayer Plugin for Netscape/Mozilla
URL: http://mplayerplug-in.sourceforge.net/
Packager: Anna Langley <anna@annalangley.com>
Source0: %{name}-%{ver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{ver}-root

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

%prep
rm -rf %buildroot
%setup -n %{name}

%build
./configure
%{__make}

%install
%{__mkdir} -p %buildroot%{mozilla_plugin_dir} && %{__mkdir} -p %buildroot%{config_dir} && %{__mkdir} -p %buildroot%{mozilla_component_dir}
%{__install} -m755 mplayerplug-in.so %buildroot%{mozilla_plugin_dir}
%{__install} -m755 mplayerplug-in.xpt %buildroot%{mozilla_component_dir}
%{__install} -m755 mplayerplug-in.types %buildroot%{config_dir}
%{__install} -m755 mplayerplug-in.conf %buildroot%{config_dir}

%clean
rm -rf %buildroot

%files
%defattr (-,root,root)
%doc ChangeLog INSTALL README TODO
%{mozilla_plugin_dir}/mplayerplug-in.so
%{mozilla_component_dir}/mplayerplug-in.xpt
%{config_dir}/mplayerplug-in.conf
%{config_dir}/mplayerplug-in.types

%changelog

* Wed May 04 2005 Anna Langley
  Updated to version 2.80 for SuSE 9.2

* Thu Jul 01 2004 Nick Pietraniec
  Updated to version 2.66 for Suse9.1

* Wed Apr 21 2004 Nick Pietraniec
  Updated to version 2.60 for Suse 9.

* Fri Apr 02 2004 Nick Pietraniec
  Updated to version 2.50 for Suse 9.

* Mon Mar 15 2004 Nick Pietraniec
  Updated to version 2.45 for Suse 9.  I've purposfully left out
  rpm dependencies due to the fact that there doesn't seem to be
  any official suse mplayer RPMS.

* Fri Jan 16 2004 Nick Pietraniec
  Updated to version 1.1 for SuSE 9

* Tue Dec 02 2003 Nick Pietraniec
  Updated to version 1.0 for SuSE

* Mon Oct 20 2003 Kevin DeKorte
  More fixes

* Thu Oct 16 2003 Kevin DeKorte
  v1.0pre2
  compatibility with mplayer 1.0pre2

* Fri Oct 03 2003 Kevin DeKorte
  v0.95
  True streaming support
  Improved playlist capability
  Improved status window
  Mplayer 0.92 is a prerequisite

* Wed Sep 10 2003 Kevin DeKorte
  Fix errors in 0.90
  Downloading feature disabled for now.

* Sun Sep 07 2003 Kevin DeKorte
  See ChangeLog for code changes

* Mon Mar 03 2003 Michael A. Peters <mpeters@mac.com>
- created spec file
